Bug 175064 - On boot udev/hotplug ignores ONBOOT=no
On boot udev/hotplug ignores ONBOOT=no
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 23:00 EST by Leam
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-06 00:43:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leam 2005-12-05 23:00:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
IBM T30 with wire on eth0 and internal wireless ethernet on eth1. /etc/sysconfig/network-scripts/ifcfg-eth1 has ONBOOT=no. 
On boot udev calls hotplug which calls:
  /sbin/ifup /etc/sysconfig/network-scripts/ifcfg-eth1
With no options and thus it comes up on boot when it should not.

Also happens on RHEL 4 U2 on the same machine.

Version-Release number of selected component (if applicable):
hotplug-2004_09_23-7  udev-058-1.0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. Boot the machine with stock install and internal wireless
2. Have ifcfg-eth1 with ONBOOT=no
3. netstat -nr
  

Actual Results:  eth1 is up and has the primary gateway.

Expected Results:  eth1 should be down.

Additional info:

If you edit /sbin/ifup and insert the line:

 sleep 5;

Before:

  if [ "foo$2" = "fooboot" ] && [ "${ONBOOT}" = "no" -o "${ONBOOT}" = "NO" ]

It prevents the problem.
Comment 1 Bill Nottingham 2005-12-06 00:43:43 EST
Hotplug has always ignored ONBOOT - there is HOTPLUG for this.
Comment 2 Leam 2005-12-06 00:51:28 EST
(In reply to comment #1)
> Hotplug has always ignored ONBOOT - there is HOTPLUG for this.

I'm not sure what you mean...
Comment 3 Bill Nottingham 2005-12-06 00:53:06 EST
ifup, as run by hotplug, has always ignored the ONBOOT setting. If you set
'HOTPLUG=no', it will not be brought up by hotplug.

Note You need to log in before you can comment on or make changes to this bug.